Bug 1129557 - The st-user script does not propagate command-line parameters
Summary: The st-user script does not propagate command-line parameters
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: st
Version: 20
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 07:50 UTC by Jan Staněk
Modified: 2014-09-10 13:09 UTC (History)
2 users (show)

Fixed In Version: st-0.5-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 13:09:26 UTC


Attachments (Terms of Use)
Parameter propagation (660 bytes, patch)
2014-08-13 07:50 UTC, Jan Staněk
no flags Details | Diff

Description Jan Staněk 2014-08-13 07:50:10 UTC
Created attachment 926298 [details]
Parameter propagation

Description of problem:
The newly introduced st-user script does not propagate the command-line parameters to the st binary itself. This makes it impossible to i.e. launch custom command (i.e. tmux) on st startup.

Version-Release number of selected component (if applicable):
st-user-0.5-3.f20

How reproducible:
Install st-user and launch st with any parameters, i.e.
$ st -e tmux

Actual results:
st ignores the parameters.

Expected results:
The parameters are honored and propagated to the actual st binary

Additional info:
Attaching a simple patch that implements the parameter propagation for both distribution (st-fedora) and user st binary.

Comment 1 Petr Šabata 2014-08-13 08:01:03 UTC
Ouch, you're right.

This also affects tabbed.  I'll push the fix to both.

Comment 2 Fedora Update System 2014-08-13 09:03:36 UTC
st-0.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/st-0.5-4.fc20

Comment 3 lnie 2014-08-14 03:32:00 UTC
st-0.5-4.fc20 works

Comment 4 Fedora Update System 2014-08-27 01:30:33 UTC
st-0.5-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.